Subject: Re: [RFC] Idea for Git Bugtracking Tool

From: Jan Hudec <[email-masked]>
Date: Sun, 9 Mar 2008 09:26:40 +0100

On Fri, Mar 07, 2008 at 15:10:18 -0800, Jakub Narebski wrote:
> [...]
> There exists few implementations of distributed bug tracker idea. They
> include:
> 
>  * Bugs Everywhere (http://bugseverywhere.org), written in Python,
>    developed in Bazaar, has Git backend support. Formerly written by
>    Panoramic Feedback (note that there is stale version of this tool),
>    picked up by one of developers

I recall Pierre mentioning that he didn't like some things on this back then
when he talked about Grit. Particularly, I believe, the way it suggested to
have the bugs in the same branch as source to keep them in sync. It might be
possible to use it in different way though.

>  * DisTract (http://www.distract.wellquite.org), written in Haskell,
>    uses Monotone as backend. Has good reviews on blogs, e.g. by
>    Masukomi.

Sounds a little overcomplicated with the monotone storage and firefox UI.

>  * DITrack (http://www.ditrack.org), written in Python, currently
>    uses Subversion as backend, has plans to be backend-agnostic.
>    Inspired by Subissue.

I wish them good luck. The problem is, that this is /not/ distributed,
because they use sequential bug numbers, which they'd have to change if they
wanted to use Git.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>